FreeMat

- Main Page
- Related Pages

vtkCone

Section: Visualization Toolkit Filtering Classes

# Usage

vtkCone computes the implicit function and function gradient for a cone. vtkCone is a concrete implementation of vtkImplicitFunction. The cone vertex is located at the origin with axis of rotation coincident with x-axis. (Use the superclass' vtkImplicitFunction transformation matrix if necessary to reposition.) The angle specifies the angle between the axis of rotation and the side of the cone.

To create an instance of class vtkCone, simply invoke its constructor as follows

      obj = vtkCone

# Methods

The class vtkCone has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkCone class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkCone = obj.NewInstance ()`
- `vtkCone = obj.SafeDownCast (vtkObject o)`
- `double = obj.EvaluateFunction (double x[3])`
- `double = obj.EvaluateFunction (double x, double y, double z)`
- `obj.EvaluateGradient (double x[3], double g[3])`
- `obj.SetAngle (double )` - Set/Get the cone angle (expressed in degrees).
- `double = obj.GetAngleMinValue ()` - Set/Get the cone angle (expressed in degrees).
- `double = obj.GetAngleMaxValue ()` - Set/Get the cone angle (expressed in degrees).
- `double = obj.GetAngle ()` - Set/Get the cone angle (expressed in degrees).